> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payer

> Create a new payer associated with a customer



## OpenAPI

````yaml post /v1/payers
openapi: 3.0.0
info:
  title: Payers API
  version: 1.0.0
  description: API for managing invoice payers
servers: []
security:
  - bearerAuth: []
tags:
  - name: Payers
    description: Payer management operations
paths:
  /v1/payers:
    post:
      tags:
        - Payers
      summary: Create payer
      description: Create a new payer associated with a customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePayerInput'
      responses:
        '200':
          description: Payer created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payer'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreatePayerInput:
      type: object
      required:
        - customer_id
        - email
      properties:
        customer_id:
          type: string
          format: uuid
          description: Associated customer UUID
        email:
          type: string
          format: email
          description: Payer's email address
        name:
          type: string
          description: Payer's name
        company:
          type: string
          description: Company name
        country:
          type: string
          pattern: ^[A-Z]{3}$
          description: ISO3 country code
        metadata:
          type: object
          additionalProperties: true
          description: Additional metadata
    Payer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        customer_id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        name:
          type: string
        company:
          type: string
        country:
          type: string
          pattern: ^[A-Z]{3}$
        active:
          type: boolean
        metadata:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
          format: uuid
        modified_at:
          type: string
          format: date-time
        modified_by:
          type: string
          format: uuid
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
        details:
          type: object
          additionalProperties: true
          description: Additional error details
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````